Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-04-2008 13:07:57

gautheronludovic
Membre
Inscription : 01-04-2008

Pb d'instalationd'Informix 9.30

Bonjour,

J'ai un soucis lorsque j'essaye d'initialiser mon serveur IDS 9.30 UC3 ( par la commande oninit -i), j'ai le message suivant :

oninit: relocation error: /var/lib/libpthread.so.0: symbol _h_errno, version GLIBC_2.0 not defined in file libc.so.6 with ling time reference.

après des recherche j'ai défini la variable d'environnement LD_ASSUME_KERNEL a la valeur 2.3.2 version de ma glibc.

Mais j'ai maintenant cette erreur :
oninit: relocation error: /var/lib/libpthread.so.0: symbol __on_exit, version GLIBC_2.0 not defined in file libc.so.6 with ling time reference.


je suis sur une debian avec un noyau 2.6.8, un serveur informix IDS 9.30-UC3

Quelqu'un aurait il une solution a me proposer ?


Ou es que qqu sait si il est possible d'installer Informix sur un debian. sachant que j'arivais a le faire fonctionner sur mandrake avec le même noyau.


Merci d'avance

Hors ligne

#2 01-04-2008 18:22:23

Melodie
Modérateur
Lieu : Pyrénées
Inscription : 28-05-2007
Site Web

Re : Pb d'instalationd'Informix 9.30

Je ne connais pas ce logiciel. Est-ce que tu as tenté une recherche sur le web avec en inscrivant ce message d'erreur en guise de mot-clé ?

le blog d'une newbie :: Linuxvillage :: Bentovillage


À propos de l'OS dominant ::> “Il est plus facile de berner les gens que de leur faire admettre qu'ils ont été bernés” (trad d'une citation approximative de Mark Twain)

Hors ligne

#3 01-04-2008 19:27:49

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : Pb d'instalationd'Informix 9.30

Salut et bienvenue

C'est pour red hat , il y a la même erreur mais je ne parle pas anglais.....donc je le met la au cas où, tu y trouveras peut être un début de réponse --> http://osdir.com/ml/linux.redhat.fedora … 00028.html

Hors ligne

#4 01-04-2008 19:38:10

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : Pb d'instalationd'Informix 9.30

Tu as un kernel 2.6.8? debian sarge?

Hors ligne

#5 02-04-2008 17:17:08

gautheronludovic
Membre
Inscription : 01-04-2008

Re : Pb d'instalationd'Informix 9.30

Bonjour a tous.
Donc deja informix est une base de donnée.

Sinon ce n'est pas un sarge mais une debian de base avec un kernel 2.6.8.

Hors ligne

#6 02-04-2008 17:53:50

palmito
Administrateur
Lieu : Dans la boite de gâteau!
Distrib. : bah....
Noyau : heu...
(G)UI : gné?
Inscription : 28-05-2007

Re : Pb d'instalationd'Informix 9.30

Salut

La dernière version stable (etch) à un noyau 2.6.18 donc si tu as un 2.6.8 il y a de grande chance pour que ce soit sarge.

Je ne retrouve plus le lien mais il m'avait semblé voir qu'il y avait un bug sur sarge avec libc6, le problème viendrait peut être de là.

Hors ligne

#7 03-04-2008 16:55:18

gautheronludovic
Membre
Inscription : 01-04-2008

Re : Pb d'instalationd'Informix 9.30

Re a tous en effet il y as un probleme avec debian et informix. Seul la Version 11.10 d'informix fonction sur Debian.


Merci a tous et a une prochaine.

Hors ligne

Pied de page des forums